Index: trunk/ab5.0/ablib/src/Classes/System/Drawing/Graphics.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/System/Drawing/Graphics.ab	(revision 703)
+++ trunk/ab5.0/ablib/src/Classes/System/Drawing/Graphics.ab	(revision 705)
@@ -7,7 +7,4 @@
 Public
 	nativeImage As *GpImageAttributes
-End Class
-Class Metafile
-Inherits Image
 End Class
 Class Region
@@ -894,5 +891,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, ByRef destPoint As PointF,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, ByRef destPoint As PointF,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -906,5 +903,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, ByRef destPoint As Point,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, ByRef destPoint As Point,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -918,5 +915,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, ByRef destRect As RectangleF,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, ByRef destRect As RectangleF,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -930,5 +927,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, ByRef destRect As Rectangle,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, ByRef destRect As Rectangle,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -942,5 +939,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, destPoints As *PointF, count As Long,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, destPoints As *PointF, count As Long,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -954,5 +951,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile, destPoints As *Point, count As Long,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile, destPoints As *Point, count As Long,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
 
@@ -966,5 +963,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		ByRef destPoint As PointF, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
@@ -979,5 +976,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		ByRef destPoint As Point, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
@@ -992,5 +989,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		ByRef destRect As RectangleF, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
@@ -1005,5 +1002,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		ByRef destRect As Rectangle, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
@@ -1018,5 +1015,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		destPoints As *PointF, count As Long, ByRef srcRect As RectangleF, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
@@ -1031,5 +1028,5 @@
 	End Sub
 
-	Sub EnumerateMetafile(metafile As Metafile,
+	Sub EnumerateMetafile(metafile As Imaging.Metafile,
 		destPoints As *Point, count As Long, ByRef srcRect As Rectangle, srcUnit As GraphicsUnit,
 		callback As EnumerateMetafileProc, callbackData = 0 As VoidPtr, imageAttr = Nothing As ImageAttributes)
